Policy Transactions
Fund Allocation Transaction
post
Path Parameters
planCodestringrequired
policyNumberstringrequired
Body
application/json
Body
application/json
FundAllocationChangeRequest
caseIdstring
Zinnia Live Case ID
Example:CA0000007389
correlationidstring
Example:657b717b7dcf554abf9ef067
effectiveDatestring(date)required
Date when the transaction was originally scheduled or expected to happen. It can be a non-business day
Example:2023-01-01
reverseInitiatorboolean
Property to isolate source transaction(s) that initiated the reversal
allocationobjectrequired
Show Child Parameters
Response
application/json
Response
application/json
Success
TransactionResponse
statusstring
Allowed values:successfailure
errorarray[object]
Show Child Parameters
quoteResponseobject
post/policy/v1/transactions/{planCode}/{policyNumber}/fundallocations
Authentication
Path Parameters
Body
{
"effectiveDate": "2023-01-01",
"allocation": {
"investmentType": "INVESTMENTFUND",
"fundAllocationsInvestments": [
{
"fundId": "FundAccount1",
"allocationPercentage": 100,
"startDate": "2024-01-01"
}
]
}
}
application/json
Eligibility Check For Fund Transfer
post
Path Parameters
planCodestringrequired
policyNumberstringrequired
Response
application/json
Response
application/json
Success
TransactionResponse
statusstring
Allowed values:successfailure
errorarray[object]
Show Child Parameters
quoteResponseobject
post/policy/v1/transactions/{planCode}/{policyNumber}/fundtransfer/eligibilitycheck
Authentication
Path Parameters
application/json
Validation Check For Fund Transfer
post
Path Parameters
planCodestringrequired
policyNumberstringrequired
Body
application/json
Body
application/json
FundTransferRequest
caseIdstring
Zinnia Live Case ID
Example:CA0000007389
correlationIdstring
effectiveDatestring(date)required
reverseInitiatorboolean
Default:false
transactionAmountsobjectrequired
Show Child Parameters
fundAllocationobjectrequired
Show Child Parameters
fundsobjectrequired
Show Child Parameters
Response
application/json
Response
application/json
Success
TransactionResponse
statusstring
Allowed values:successfailure
errorarray[object]
Show Child Parameters
quoteResponseobject
post/policy/v1/transactions/{planCode}/{policyNumber}/fundtransfer/validation
Authentication
Path Parameters
Body
{
"effectiveDate": "effectiveDate",
"transactionAmounts": {
"amountType": "AMOUNT"
},
"fundAllocation": {
"allocationOption": "PRORATA"
},
"funds": {
"transferFrom": [
{
"fundId": "fundId",
"requestedAmount": 124.124213
}
],
"transferTo": [
{
"fundId": "fundId",
"requestedAmount": 124.124213
}
]
}
}
application/json
Fund Transfer Transaction
post
Path Parameters
planCodestringrequired
policyNumberstringrequired
Body
application/json
Body
application/json
FundTransferRequest
caseIdstring
Zinnia Live Case ID
Example:CA0000007389
correlationIdstring
effectiveDatestring(date)required
reverseInitiatorboolean
Default:false
transactionAmountsobjectrequired
Show Child Parameters
fundAllocationobjectrequired
Show Child Parameters
fundsobjectrequired
Show Child Parameters
Response
application/json
Response
application/json
Success
TransactionResponse
statusstring
Allowed values:successfailure
errorarray[object]
Show Child Parameters
quoteResponseobject
post/policy/v1/transactions/{planCode}/{policyNumber}/fundtransfer
Authentication
Path Parameters
Body
{
"effectiveDate": "effectiveDate",
"transactionAmounts": {
"amountType": "AMOUNT"
},
"fundAllocation": {
"allocationOption": "PRORATA"
},
"funds": {
"transferFrom": [
{
"fundId": "fundId",
"requestedAmount": 124.124213
}
],
"transferTo": [
{
"fundId": "fundId",
"requestedAmount": 124.124213
}
]
}
}
application/json
Eligibility Check For Outgoing Fund Transfer
post
Path Parameters
planCodestringrequired
policyNumberstringrequired
Response
application/json
Response
application/json
Success
TransactionResponse
statusstring
Allowed values:successfailure
errorarray[object]
Show Child Parameters
quoteResponseobject
post/policy/v1/transactions/{planCode}/{policyNumber}/outgoingfundtransfer/eligibilitycheck
Authentication
Path Parameters
application/json